Bug 233958 - www/midori: Update to 7.x
Summary: www/midori: Update to 7.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guido Falsi
URL: https://www.midori-browser.org/2018/1...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-12 13:51 UTC by vermaden
Modified: 2019-01-09 10:59 UTC (History)
1 user (show)

See Also:
madpilot: maintainer-feedback+


Attachments
Update to 7.0 (20.40 KB, patch)
2018-12-18 17:01 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vermaden 2018-12-12 13:51:25 UTC
The Midori browser got and update to 7.x version:
https://www.midori-browser.org/2018/11/30/lorem-ipsum/
Comment 1 Guido Falsi freebsd_committer 2018-12-18 17:01:28 UTC
Created attachment 200233 [details]
Update to 7.0

Hi,

I have prepared the attached patch.

Looks like in the while the project has moved to GTK3 only making a few dependencies mandatory.

Also it looks like they dropped some functionality in the while.

I quickly tested it and it runs, but, since I'm not using it every day, could you test this patch and the resulting binary and report back if it all looks ok to you?

Thanks!
Comment 2 vermaden 2018-12-18 18:06:52 UTC
(In reply to Guido Falsi from comment #1)

How to test/apply that patch? (sorry for incompetence).
Comment 3 Guido Falsi freebsd_committer 2018-12-18 20:16:06 UTC
(In reply to vermaden from comment #2)
> (In reply to Guido Falsi from comment #1)
> 
> How to test/apply that patch? (sorry for incompetence).

You need to recompile the port. For general instruction about th9is you should check the handbook:

https://www.freebsd.org/doc/en/books/handbook/ports-using.html

To apply the patch download the raw patch file, then cd to the midori port directory (/usr/ports/www/midori by default) and apply the patch:

> patch </path/to/patch/file

(where /path/to/patch/file is to be substituted by the actual path)

then install the port from the patched directory.
Comment 4 vermaden 2018-12-19 08:43:07 UTC
(In reply to Guido Falsi from comment #3)

Thank You.

Here are the results.

# pwd
/usr/ports/www/midori

# fetch -o RAW "https://bz-attachments.freebsd.org/attachment.cgi?id=200233&action=diff&format=raw&headers=1"
fetch: https://bz-attachments.freebsd.org/attachment.cgi?id=200233&action=diff&format=raw&headers=1: size of remote file is not known
RAW                                                     15 kB   37 kBps 00m00s

# patch < RAW
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- Makefile   (revision 487755)
|+++ Makefile   (working copy)
--------------------------
Patching file Makefile using Plan A...
Hunk #1 succeeded at 2 with fuzz 1.
Hunk #2 succeeded at 14.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- distinfo   (revision 487755)
|+++ distinfo   (working copy)
--------------------------
Patching file distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-CMakeLists.txt (revision 487755)
|+++ files/patch-CMakeLists.txt (nonexistent)
--------------------------
Patching file files/patch-CMakeLists.txt using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-config__search (revision 487755)
|+++ files/patch-config__search (nonexistent)
--------------------------
Patching file files/patch-config__search using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-extensions__external-download-manager.vala     (revision 487755)
|+++ files/patch-extensions__external-download-manager.vala     (nonexistent)
--------------------------
Patching file files/patch-extensions__external-download-manager.vala using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-extensions_adblock_widgets.vala        (revision 487755)
|+++ files/patch-extensions_adblock_widgets.vala        (nonexistent)
--------------------------
Patching file files/patch-extensions_adblock_widgets.vala using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-extensions_apps.vala   (revision 487755)
|+++ files/patch-extensions_apps.vala   (nonexistent)
--------------------------
Patching file files/patch-extensions_apps.vala using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-extensions_history-list.vala   (revision 487755)
|+++ files/patch-extensions_history-list.vala   (nonexistent)
--------------------------
Patching file files/patch-extensions_history-list.vala using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-extensions_notes.vala  (revision 487755)
|+++ files/patch-extensions_notes.vala  (nonexistent)
--------------------------
Patching file files/patch-extensions_notes.vala using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-extensions_transfers.vala      (revision 487755)
|+++ files/patch-extensions_transfers.vala      (nonexistent)
--------------------------
Patching file files/patch-extensions_transfers.vala using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-midori__midori-stock.h (revision 487755)
|+++ files/patch-midori__midori-stock.h (nonexistent)
--------------------------
Patching file files/patch-midori__midori-stock.h using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- files/patch-midori_midori-notebook.vala    (revision 487755)
|+++ files/patch-midori_midori-notebook.vala    (nonexistent)
--------------------------
Patching file files/patch-midori_midori-notebook.vala using Plan A...
Hunk #1 succeeded at 0.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|--- pkg-plist  (revision 487755)
|+++ pkg-plist  (working copy)
--------------------------
Patching file pkg-plist using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 87.
Hunk #3 succeeded at 101.
done

# find /usr/ports/www/midori
/usr/ports/www/midori
/usr/ports/www/midori/distinfo
/usr/ports/www/midori/files
/usr/ports/www/midori/files/patch-extensions_notes.vala.orig
/usr/ports/www/midori/files/patch-midori_midori-notebook.vala
/usr/ports/www/midori/files/patch-config__search
/usr/ports/www/midori/files/patch-extensions_history-list.vala
/usr/ports/www/midori/files/patch-extensions_apps.vala.orig
/usr/ports/www/midori/files/patch-extensions_adblock_widgets.vala.orig
/usr/ports/www/midori/files/patch-extensions_transfers.vala
/usr/ports/www/midori/files/patch-extensions__external-download-manager.vala
/usr/ports/www/midori/files/patch-config__search.orig
/usr/ports/www/midori/files/patch-CMakeLists.txt.orig
/usr/ports/www/midori/files/patch-extensions_apps.vala
/usr/ports/www/midori/files/patch-extensions_adblock_widgets.vala
/usr/ports/www/midori/files/patch-midori_midori-notebook.vala.orig
/usr/ports/www/midori/files/patch-extensions__external-download-manager.vala.orig
/usr/ports/www/midori/files/patch-extensions_history-list.vala.orig
/usr/ports/www/midori/files/patch-midori__midori-stock.h.orig
/usr/ports/www/midori/files/patch-midori__midori-stock.h
/usr/ports/www/midori/files/patch-CMakeLists.txt
/usr/ports/www/midori/files/patch-extensions_notes.vala
/usr/ports/www/midori/files/patch-extensions_transfers.vala.orig
/usr/ports/www/midori/Makefile
/usr/ports/www/midori/pkg-descr
/usr/ports/www/midori/Makefile.orig
/usr/ports/www/midori/distinfo.orig
/usr/ports/www/midori/pkg-plist
/usr/ports/www/midori/pkg-plist.orig
/usr/ports/www/midori/RAW

# make
===>  License LGPL21 MIT accepted by the user
===>   midori-0.7.0 depends on file: /usr/local/sbin/pkg - found
=> midori-browser-core-0.7.0-v7_GH0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://codeload.github.com/midori-browser/core/tar.gz/v7?dummy=/midori-browser-core-0.7.0-v7_GH0.tar.gz
fetch: https://codeload.github.com/midori-browser/core/tar.gz/v7?dummy=/midori-browser-core-0.7.0-v7_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/midori-browser/core/tar.gz/v7?dummy=/midori-browser-core-0.7.0-v7_GH0.tar.gz: size of remote file is not known
midori-browser-core-0.7.0-v7_GH0.tar.gz               1818 kB  308 kBps 00m06s
===> Fetching all distfiles required by midori-0.7.0 for building
===>  Extracting for midori-0.7.0
=> SHA256 Checksum OK for midori-browser-core-0.7.0-v7_GH0.tar.gz.
===>  Patching for midori-0.7.0
===>  Applying FreeBSD patches for midori-0.7.0
  I can't seem to find a patch in there anywhere.
=> FreeBSD patch patch-CMakeLists.txt failed to apply cleanly.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/www/midori
*** Error code 1

Stop.
make: stopped in /usr/ports/www/midori
Comment 5 Guido Falsi freebsd_committer 2018-12-19 08:58:15 UTC
Please do a make clean, then, after applying the patch, remove the files directory in the port. Unluckily the patch command does not do that automatically.

After this try again.
Comment 6 commit-hook freebsd_committer 2019-01-09 10:57:41 UTC
A commit references this bug:

Author: madpilot
Date: Wed Jan  9 10:57:32 UTC 2019
New revision: 489765
URL: https://svnweb.freebsd.org/changeset/ports/489765

Log:
  - Update midori to 0.7.0
  - Silence some portlint warnings
  - Remove unsupported options
  - Project distribution moved to github

  PR:		233958
  Submitted by:	vermaden@interia.pl

Changes:
  head/www/midori/Makefile
  head/www/midori/distinfo
  head/www/midori/files/
  head/www/midori/pkg-plist
Comment 7 Guido Falsi freebsd_committer 2019-01-09 10:59:07 UTC
Update committed.